import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common.js";
export interface PermissionOverrideCoreRouterInterface extends utils.Interface {
    functions: {
        "canSetContractURI(address)": FunctionFragment;
        "canSetExtension(address)": FunctionFragment;
        "canSetOwner(address)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "canSetContractURI" | "canSetExtension" | "canSetOwner"): FunctionFragment;
    encodeFunctionData(functionFragment: "canSetContractURI", values: [string]): string;
    encodeFunctionData(functionFragment: "canSetExtension", values: [string]): string;
    encodeFunctionData(functionFragment: "canSetOwner", values: [string]): string;
    decodeFunctionResult(functionFragment: "canSetContractURI", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "canSetExtension", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "canSetOwner", data: BytesLike): Result;
    events: {};
}
export interface PermissionOverrideCoreRouter extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: PermissionOverrideCoreRouterInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        canSetContractURI(_caller: string, overrides?: CallOverrides): Promise<[boolean]>;
        canSetExtension(_caller: string, overrides?: CallOverrides): Promise<[boolean]>;
        canSetOwner(_caller: string, overrides?: CallOverrides): Promise<[boolean]>;
    };
    canSetContractURI(_caller: string, overrides?: CallOverrides): Promise<boolean>;
    canSetExtension(_caller: string, overrides?: CallOverrides): Promise<boolean>;
    canSetOwner(_caller: string, overrides?: CallOverrides): Promise<boolean>;
    callStatic: {
        canSetContractURI(_caller: string, overrides?: CallOverrides): Promise<boolean>;
        canSetExtension(_caller: string, overrides?: CallOverrides): Promise<boolean>;
        canSetOwner(_caller: string, overrides?: CallOverrides): Promise<boolean>;
    };
    filters: {};
    estimateGas: {
        canSetContractURI(_caller: string, overrides?: CallOverrides): Promise<BigNumber>;
        canSetExtension(_caller: string, overrides?: CallOverrides): Promise<BigNumber>;
        canSetOwner(_caller: string, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        canSetContractURI(_caller: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        canSetExtension(_caller: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        canSetOwner(_caller: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=PermissionOverrideCoreRouter.d.ts.map